Name:           gimp-lqr-plugin
Version:        0.7.2
Release:        2%{?dist}
Summary:        Content-aware resizing plug-in for the GIMP
License:        GPLv2+
URL:            http://liquidrescale.wikidot.com/
Source0:        http://liquidrescale.wikidot.com/local--files/en:download-page-sources/%{name}-%{version}.tar.bz2
BuildRequires:  gimp-devel >= 2.4 perl(XML::Parser), gettext, liblqr-1-devel >= 0.3.0
BuildRequires:  intltool
Requires:       gimp >= 2.4

%description
This package is a plug-in for the GIMP 2.4. It implements the algorithm
described in the paper "Seam Carving for Content-Aware Image Resizing"
by Shai Avidan and Ariel Shamir, which can be found at
http://www.faculty.idc.ac.il/arik/imret.pdf

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} 


%install
%make_install INSTLL="install -p"

%find_lang gimp20-lqr-plugin 


%files -f gimp20-lqr-plugin.lang
%defattr(-,root,root,-)
%doc README ChangeLog TODO COPYING AUTHORS NEWS
%{_libdir}/gimp/2.0/plug-ins/gimp-lqr-plugin
%{_libdir}/gimp/2.0/plug-ins/plug_in_lqr_iter
%{_datadir}/gimp/2.0/scripts/batch-gimp-lqr.scm
%{_datadir}/gimp-lqr-plugin/

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 15 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.7.2-1
- 0.7.2 upstream release
- spec cleanups

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 03 2012 Nils Philippsen <nils@redhat.com> - 0.7.1-3
- rebuild against gimp 2.8.0 release candidate

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 17 2011 Sven Lankes <sven@lank.es> - 0.7.1-1
- Update to latest upstream release
- Change image-add-layer to image-insert-layer as suggested by gimp-upstream

* Fri Dec 16 2011 Nils Philippsen <nils@redhat.com> - 0.6.1-5
- rebuild for GIMP 2.7

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6.1-4
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 03 2009 Sven Lankes <sven@lank.es> - 0.6.1-2
- Add BR on intltool
- Bump liblqr-1-devel BR to 0.3

* Mon Aug 03 2009 Sven Lankes <sven@lank.es> - 0.6.1-1
- Update to latest upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar 02 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0.4-2
- Fixed typos, buildrequires and requires.

* Wed Feb 20 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0.4-1
- Remove hyphen from versioning.

* Tue Feb 19 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-3
- Fixed licensing issue.

* Mon Feb 4 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-2
- Removed CFLAGS.
- Fixed ownership issues.

* Thu Jan 17 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-1
- Update to 0.4.0-3. 
- Added liblqr dependency. 

* Mon Dec 10 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-0
- Update to 0.4.0. 

* Thu Nov 22 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.3.0-1
- Updated languages.
- Removed DEBUG flag.
  http://liquidrescale.wikidot.com/forum/t-23531/bugfix
- Cleaned .spec file to meet Fedora Guidelines. 

* Fri Oct 12 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.3.0-0
- Update to latest upstream release.

* Fri Oct 5 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-4
- Added more translation: Romanian, Spanish Spanish, Serbian.

* Wed Oct 3 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-3
- Added Basque, Chinese, Argentinian Spanish, Hungarian translations.

* Tue Oct 2 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-2
- Added German translation.

* Tue Oct 2 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-1
- Initial RPM release.
